콘텐츠로 건너뛰기
ShopentlyLearn

주문 상태 변경

주문에 사용 가능한 상태를 지정합니다. 새 상태의 ID와 현재 주문 상태 버전을 보내세요.

PATCH/api/v1/orders/{order_id}/status

cURL 요청

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/orders/order-0000/status \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-update_order_status_api_v1_orders__order_id__status_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1,"status_id":"status-1"}'

응답

{
  "data": {
    "deleted": false,
    "id": "order-0000",
    "version": 2
  },
  "meta": {
    "request_id": "example"
  }
}

필수 권한

최소 요금제
BASIC
키 권한
주문 상태 변경orders.order:change_status